package com.ycwl.basic.device.operator.impl;

import com.ycwl.basic.device.entity.common.FileObject;
import com.ycwl.basic.device.entity.local.DeviceLocalConfig;
import com.ycwl.basic.device.operator.IDeviceStorageOperator;
import com.ycwl.basic.device.operator.helper.CommonPieceGetter;

import java.util.Collections;
import java.util.Date;
import java.util.List;

public class LocalStorageOperator extends CommonPieceGetter<DeviceLocalConfig> implements IDeviceStorageOperator {
    public LocalStorageOperator(String configJson) {
        super(configJson);
    }

    @Override
    public List<FileObject> getFileListByDtRange(Date startDate, Date endDate) {
        return Collections.emptyList();
    }

    @Override
    public boolean removeFilesBeforeDate(Date date) {
        return false;
    }
}
