package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.template.entity.TemplateEntity;
import com.ycwl.basic.model.pc.template.req.TemplateReqQuery;
import com.ycwl.basic.model.pc.template.resp.TemplateRespVO;
import com.ycwl.basic.model.pc.video.entity.VideoEntity;
import com.ycwl.basic.model.pc.video.req.VideoReqQuery;
import com.ycwl.basic.model.pc.video.resp.VideoRespVO;
import lombok.NonNull;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:27
 * 成片
 */
@Mapper
public interface VideoMapper {
    List<VideoRespVO> list(VideoReqQuery videoReqQuery);
    VideoRespVO getById(Long id);
    int add(VideoEntity task);
    int deleteById(Long id);
    int update(VideoEntity task);

    VideoEntity findByTaskId(@NonNull Long taskId);
}
