package com.ycwl.basic.model.pc.device.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:50
 */
@Data
@TableName("device")
public class DeviceEntity {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    private Long scenicId;
    /**
     * 设备名称
     */
    private String name;
    /**
     * 设备编号
     */
    private String no;
    /**
     * 经度
     */
    private BigDecimal longitude;
    /***
     * 纬度
     */
    private BigDecimal latitude;
    /**
     * 是否启用，0不启用，1启用
     */
    private Integer status;
    /**
     * 是否在线，0不在线，1在线
     */
    private Integer online;
    private String ipAddr;
    private Date keepaliveAt;
    private Date createAt;
    private Date updateAt;
}
