package com.ycwl.basic.service.impl.pc;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ycwl.basic.mapper.FaceDetectLogMapper;
import com.ycwl.basic.model.pc.faceDetectLog.entity.FaceDetectLog;
import com.ycwl.basic.service.pc.FaceDetectLogService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class FaceDetectLogServiceImpl extends ServiceImpl<FaceDetectLogMapper, FaceDetectLog> implements FaceDetectLogService {
    @Override
    public List<FaceDetectLog> listByTimeDesc() {
        LambdaQueryWrapper<FaceDetectLog> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.orderByDesc(FaceDetectLog::getCreateTime);
        return list(queryWrapper);
    }
}
